---
theme: uncover
marp: true
class: invert
---
# La différence entre _Linux_ et _Votre Linux_

---

Sommaire
- Problématique
- Possibilités
- Commencer

---

## Problématique

Maitriser la partie de l'ordinateur que vous utilisez.

---

### Les logiciels

- Jeux vidéos (Minecraft, Steam ...).
- Réseaux sociaux (Discord, Email ...).
- Navigateur (Chrome, Opera, Firefox ...).
- Éditeur de code (VSCode, Sublime, nano ...).

![bg right contain](https://allthings.how/content/images/wordpress/2022/12/allthings.how-windows-11-screenshot-shortcuts-everything-you-need-to-know-image-4.png)

---

### L'environnement de bureau

- Thème système.
- Explorateur de fichiers.
- Utilitaires du bureau (Recherche, Convertisseurs ...).

![bg right contain](https://www.windowslatest.com/wp-content/uploads/2021/10/Windows-11-File-Explorer-memory-usage.jpg)

---

## Motivations

C'est possible mais limité sur Windows.

---

![bg contain](https://images.frandroid.com/wp-content/uploads/2021/08/windows-11-start-dark.jpg)

![bg contain](https://i.redd.it/93y633d70h981.png)

---

Linux est pensé pour ça (depuis toujours).

---

![bg contain](https://upload.wikimedia.org/wikipedia/commons/2/25/Linux_Mint_20_Cinnamon.png)

![bg contain](https://user-images.githubusercontent.com/8083855/41805496-9a255f6e-76bc-11e8-82b2-597237a081ea.png)

---

## Ce qui est possible

Tout.

*(avec plus ou moins d'efforts)*

---

## Les choix

- Cosmétique ou Performance
- Graphique ou Terminal
- Moderne ou Ancien *demandez-moi pour mon minitel*
- Gaming ?
- Dev ?

![bg right contain](https://i.redd.it/sgjgxv5ntit01.png)

---

## Les moyens

1. Découvrir
2. Installer
3. ???
4. Profit $$

---

1. Découvrir
2. Installer
3. **Mettre autre chose**
4. Profit $$

---

### Découvrir

En gros, google.

---

- Wikis ([archwiki](https://wiki.archlinux.org))
- Réseaux Sociaux
    - Youtube (Chris Titus ...)
    - Reddit (unix porn, linux master race ...)

---

![bg contain](./différence-entre-linux-et-votre-linux-assets/archwiki.png)
![bg contain](https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fi.ytimg.com%2Fvi%2FFsVEA467LRc%2Fmaxresdefault.jpg&f=1&nofb=1&ipt=898fe0f3ead88b1a538bffb98c0364ab91a0504b48ae95e8bebd4eab21ea20f3&ipo=images)

---

### Installer

- package manager (apt, paru ...)
- app conteneurisé (snap)
- frontend graphiques

![bg contain right](https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fwww.ghacks.net%2Fwp-content%2Fuploads%2F2018%2F02%2FLinux-Mint-Software-Manager.png&f=1&nofb=1&ipt=0d620b05ac97807a28e849a4bef2f1c0d2d97b3c8fbd41dbb0d4aca510944899&ipo=images)

---

## Où commencer

Trouvez un Laptop dédié ou
faites un VM pour la suite ...

---

Pas de mauvaises réponses
tout est interchangeable

---

### Les Linux vanilla

prenez part à la guerre

---

### Sexy par défaut

- distribution
    - endeavour
    - mint
- env. de bureau
    - KDE
    - Cinnamon

![bg right contain](https://i0.wp.com/fossforce.com/wp-content/uploads/2023/02/kde-5.26-dark.png?ssl=1)

---

### Trucs à toucher en premier

- Thème système
- Barre des tâches
- Éditeur
- Installez un maximum de vos trucs

![bg right contain](https://i.redd.it/6g3js5sg46g91.png)

---

### Trucs à toucher juste après

Votre shell : discret mais important
- **fish**, c'est le bon
- pas **bash**
- pas zsh (ptet plus tard tho)

![bg right contain](https://miro.medium.com/v2/resize:fit:1400/1*N9xOm9M149wtYDQdlT7B3w.gif)

---

### Pour les gameurs

Couvre [80% des cas](protondb.com/)

- steam / proton
- lutris

Sinon il vous faudra un dualboot ou bien beaucoup de motivation

![bg right contain](./différence-entre-linux-et-votre-linux-assets/protondb.png)

---

### Pour les devs

- configurez votre éditeur
- moddez votre shell
- touchez à vos commandes principales
    - ls → lsd
    - cd → n³
    - cat → bat
- scriptez un gigamax

---

## Ça marche pas :/

ça arrive souvent
mais dans l'immense majorité des cas :
- rien de grave
- ça n'arrive qu'une seule fois
- ça se résout avec quelques commandes
- quelqu'un d'autre a eu votre problème sur internet

---

## demandez de l'aide

des **minutes** de nos temps
peuvent sauver des **heures** du vôtre

---

## Et après ?

- flexxez un max
- montrez moi 👀

---

## Fin